Bug 1422515 (CVE-2017-5980) - CVE-2017-5980 zziplib: NULL pointer dereference in zzip_mem_entry_new (memdisk.c)
Summary: CVE-2017-5980 zziplib: NULL pointer dereference in zzip_mem_entry_new (memdis...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5980
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1422517
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 12:52 UTC by Martin Prpič
Modified: 2019-09-29 14:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 12:55:07 UTC


Attachments (Terms of Use)

Description Martin Prpič 2017-02-15 12:52:35 UTC
A NULL pointer dereference flaw was discovered in zziplib, a lightweight library for extracting data from ZIP files. An application using zziplib to process could crash when processing a malformed ZIP archive.

External References:

http://blogs.gentoo.org/ago/2017/02/09/zziplib-null-pointer-dereference-in-zzip_mem_entry_new-memdisk-c/

Comment 1 Martin Prpič 2017-02-15 12:54:18 UTC
Created zziplib tracking bugs for this issue:

Affects: fedora-all [bug 1422517]


Note You need to log in before you can comment on or make changes to this bug.